Api referenceWorkspaces

Preview Ownership

Reference for Preview Ownership in the Veriom v1 API, including request, response, and authentication details.

POST/v1/workspaces/{workspace_id}/ownership/previews

Preview Ownership. Returns a typed response and a request ID for operational support.

Authorization

veriom_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/ownership/previews" \  -H "Content-Type: application/json" \  -d '{    "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897"  }'
{
  "applied_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "preview_sha256": "string",
  "result": {
    "applied": 0,
    "applied_at": "2019-08-24T14:15:22Z",
    "needs_review": 0,
    "unchanged": 0
  },
  "snapshot": {
    "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",
    "branch_ref": "string",
    "commit_sha": "string",
    "items": [
      {
        "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",
        "collaboration_version": 0,
        "current_assignee_id": "ec4c2f16-4693-4789-bb93-768f7f22b770",
        "due_at": "2019-08-24T14:15:22Z",
        "finding_id": "feebf65a-2eaa-4fae-aab2-772450efdffe",
        "identities": [
          "string"
        ],
        "paths": [
          "string"
        ],
        "reason": "string",
        "rule_lines": [
          0
        ],
        "service_ids": [
          "f7eb01c9-d95f-476e-9338-df56032c0dac"
        ],
        "severity": "string",
        "status": "ready",
        "title": "string"
      }
    ],
    "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b",
    "policy_version": 0,
    "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
    "source_path": "string",
    "source_sha256": "string",
    "source_status": "string",
    "warnings": [
      "string"
    ]
  }
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}

Was this guide useful?

Your response stays in this browser unless you open a GitHub issue.
View source